%global srcname pyroute2

Name: python-%{srcname}
Version: 0.7.2
Release: %mkrel 3
Summary: Pure Python netlink library
License: GPLv2+
Group: Development/Python
URL: https://pyroute2.org/
Source: %{pypi_source}
BuildArch: noarch
BuildRequires: pyproject-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)

%description
PyRoute2 provides several levels of API to work with Netlink
protocols, such as Generic Netlink, RTNL, TaskStats, NFNetlink,
IPQ.

%package -n python3-%{srcname}
Summary: Pure Python netlink library
%{?python_provide:%python_provide python3-%{srcname}}

Obsoletes: python3-pyroute2-core < 0.6.13-3
Obsoletes: python3-pyroute2-ethtool < 0.6.13-2
Obsoletes: python3-pyroute2-ipdb < 0.6.13-2
Obsoletes: python3-pyroute2-ipset < 0.6.13-2
Obsoletes: python3-pyroute2-ndb < 0.6.13-2
Obsoletes: python3-pyroute2-nftables < 0.6.13-2
Obsoletes: python3-pyroute2-nslink < 0.6.13-2

%description -n python3-%{srcname}
PyRoute2 provides several levels of API to work with Netlink
protocols, such as Generic Netlink, RTNL, TaskStats, NFNetlink,
IPQ.


%prep
%setup -q -n %{srcname}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyroute2 pr2modules

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README*
%license LICENSE.*
%_bindir/pyroute2-cli
%_bindir/pyroute2-dhcp-client
%_bindir/pyroute2-test-platform
%_bindir/ss2


%changelog
* Thu Dec 07 2023 wally <wally> 0.7.2-3.mga10
+ Revision: 2015292
- rebuild for py3.12

* Fri Sep 09 2022 wally <wally> 0.7.2-2.mga9
+ Revision: 1886184
- obsolete old multi-pkg scheme sub packages

* Thu Sep 08 2022 neoclust <neoclust> 0.7.2-1.mga9
+ Revision: 1885790
- New version 0.7.2

* Wed Sep 07 2022 neoclust <neoclust> 0.6.12-1.mga9
+ Revision: 1885139
- New version  0.6.12

* Thu May 26 2022 wally <wally> 0.6.9-1.mga9
+ Revision: 1860365
- new version 0.6.9

* Wed Mar 23 2022 umeabot <umeabot> 0.6.5-2.mga9
+ Revision: 1822247
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 0.6.5-1.mga9
+ Revision: 1772246
- new version 0.6.5
- rebuild for python3.10

* Sun Aug 08 2021 luigiwalser <luigiwalser> 0.5.18-1.mga9
+ Revision: 1740662
- 0.5.18

* Mon Mar 15 2021 wally <wally> 0.5.14-2.mga9
+ Revision: 1703126
- rebuild for python 3.9

* Fri Dec 04 2020 luigiwalser <luigiwalser> 0.5.14-1.mga8
+ Revision: 1652370
- 0.5.14

* Sun Feb 16 2020 umeabot <umeabot> 0.5.6-2.mga8
+ Revision: 1530993
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 0.5.6-1.mga8
+ Revision: 1438317
- new version 0.5.6
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 0.5.3-1.mga7
+ Revision: 1349837
- new version 0.5.23

* Thu Sep 20 2018 umeabot <umeabot> 0.4.19-3.mga7
+ Revision: 1289798
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 ngompa <ngompa> 0.4.19-2.mga7
+ Revision: 1181899
- Adapt for Mageia
- imported package python-pyroute2


* Tue Aug 29 2017 hguemar <hguemar@benihime.seireitei> - 0.4.19-1
- Upstream 0.4.19

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Jun  1 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 0.4.15-1
- Upstream 0.4.15
- req: #365 -- full and short nla notation fixed, critical
- iproute: #364 -- new method, brport()
- ipdb: -- support bridge port options

* Tue Mar  7 2017 Antoni S. Puimedon <antonisp@celebdor.com> 0.4.13-1
- upgrade to 0.4.13
- ipset hash:mac support
- ipset: hash:mac support
- ipset: list:set support
- ifinfmsg: allow absolute/relative paths in the net_ns_fd NLA
- ipdb: #322 -- IPv6 updates on interfaces in DOWN state
- rtnl: #284 -- support vlan_flags
- ipdb: #307 -- fix IPv6 routes management
- ipdb: #311 -- vlan interfaces address loading
- iprsocket: #305 -- support NETLINK_LISTEN_ALL_NSID

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.10-2
- Rebuild for Python 3.6

* Fri Oct 14 2016 Peter V. Saveliev <peter@svinota.eu> 0.4.10-1
- devlink fd leak fix

* Thu Oct  6 2016 Peter V. Saveliev <peter@svinota.eu> 0.4.9-1
- critical fd leak fix
- initial NETLINK_SOCK_DIAG support

* Tue Sep 27 2016 Peter V. Saveliev <peter@svinota.eu> 0.4.8-1
- uplift to 0.4.x

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.19-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Apr  5 2016 Peter V. Saveliev <peter@svinota.eu> 0.3.19-1
- separate Python2 and Python3 packages
- MPLS lwtunnel support

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.15-2

- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Fri Nov 20 2015 Peter V. Saveliev <peter@svinota.eu> 0.3.15-1
- critical NetNS fd leak fix

* Tue Sep  1 2015 Peter V. Saveliev <peter@svinota.eu> 0.3.14-1
- bogus rpm dates in the changelog are fixed
- both licenses added

* Tue Sep  1 2015 Peter V. Saveliev <peter@svinota.eu> 0.3.13-1
- BPF filters support
- MPLS routes support
- MIPS platform support
- multiple improvements on iwutil
- memory consumption improvements

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan  8 2015 Peter V. Saveliev <peter@svinota.eu> 0.3.4-1
- Network namespaces support
- Veth, tuntap
- Route metrics

* Fri Dec  5 2014 Peter V. Saveliev <peter@svinota.eu> 0.3.3-1
- Fix-ups, 0.3.3
- Bugfixes for Python 2.6

* Tue Nov 18 2014 Peter V. Saveliev <peter@svinota.eu> 0.3.2-1
- Update to 0.3.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 18 2014 Jiri Pirko <jpirko@redhat.com> - 0.2.7-1
- Update to 0.2.7

* Thu Aug 22 2013 Peter V. Saveliev <peet@redhat.com> 0.1.11-1
- IPRSocket threadless objects
- rtnl: tc filters improvements

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Peter V. Saveliev <peet@redhat.com> 0.1.10-1
- fd and threads leaks fixed
- shutdown sequence fixed (release() calls)
- ipdb: interface removal
- ipdb: fail on transaction sync timeout

* Tue Jun 11 2013 Peter V. Saveliev <peet@redhat.com> 0.1.9-2
- fedpkg import fix

* Tue Jun 11 2013 Peter V. Saveliev <peet@redhat.com> 0.1.9-1
- several races fixed
- Python 2.6 compatibility issues fixed

* Wed Jun 05 2013 Peter V. Saveliev <peet@redhat.com> 0.1.8-1
- initial RH build

